Subject: RE: bug#24897: 24.5; doc for `M' in Dired

From: Drew Adams <[email-masked]>
Date: Fri, 11 Oct 2019 08:42:21 -0700 (PDT)

> > I don't suggest that we "explain the w bit", for Windows users.
> >
> > My suggestion is to:
> >
> > 1. State that `chmod' does not apply, in general, to MS Windows.
> >    (If you want to say why - no such bits etc., fine, but that's
> >    not really needed, IMO.)
> > 2. State that you can use `chmod' to make a file writable or
> >    read-only.  And say how to do so.
> 
> How about the attached patch?

Thanks for looking at this enhancement request.  But,
sorry, that's not it at all.

1. It's definitely not the case that "This command
is generally not relevant on MS-Windows."

`M' _is_ relevant for MS Windows.  I use it all the
time - every day.  What's the case is that on Windows
you can't distinguish the different parts of the
permissions string: you can only change them for all
users at once.

But you can certainly change, for all users, from
read-only to writable, etc.

Admittedly, the text from me that you quote above
can give the impression that `M' is not relevant
for MS Windows.  But reading all of the report
makes clear that it is very relevant.  For example:

  It is reasonable for a user on Windows to use `M'
  to make files read-only or writable.

2. The main point of the request is to ask that the
doc for `M' say something about the permissions, that
it _not_ just point to a `man' page (which typically
won't be available for MS Windows users anyway).

It's good for the doc to _also_ mention the `chmod'
command and its `man' page, but this bug report asks
that the `M' doc itself provide at least a minimum of
help about this - the possible user inputs and their
effects.

The doc currently says, e.g., "Symbolic modes like
`g+w' are allowed."  But that means nothing by itself.

This is the point of the bug report - what it says
at the outset:

  [The user might] not know the UNIX command `chmod',
  and might not know about file and directory permissions.
  S?he might not even have what it takes locally to use
  `M-x man', to find out.

  And the doc for `M' - both the doc string and the Emacs
  manual, does not really explain `chmod' or what kind of
  input a user can type to the prompt from `M'.

  I think it would be helpful, for at least some users,
  to add some more explanation.  In particular, it could
  explain about u, g, o, and a, and about the permissions
  fields rwx and their values.